Sorry your browser is not supported!

You are using an outdated browser that does not support modern web technologies, in order to use this site please update to a new browser.

Browsers supported include Chrome, FireFox, Safari, Opera, Internet Explorer 10+ or Microsoft Edge.

iOS and MacOS / old sdk's

Author
Message
kirtn14
11
Years of Service
User Offline
Joined: 8th Sep 2011
Location:
Posted: 12th Apr 2013 22:22
where can i get previous versions of the ios sdk please? i can only find the new one and not any of the older versions which i need for the version of xcode i'm running (3.1.2)

kirtnicholls
Ancient Lady
Valued Member
18
Years of Service
User Offline
Joined: 17th Mar 2004
Location: Anchorage, Alaska, USA
Posted: 12th Apr 2013 22:38
What iOS sdk are you talking about?

The AppGameKit link library should work with any version of Xcode.

Do you mean the Facebook sdk? That is the same for all versions of AppGameKit (starting with v1085, the first to include it). And it should work with your Xcode as well.

I would advise upgrading to the latest Xcode, otherwise you won't be using the versions of things that Apple would prefer (and that are compatible with iOS 6).

Cheers,
Ancient Lady
AGK Community Tester and AppGameKit Master
xCept
19
Years of Service
User Offline
Joined: 15th Dec 2002
Location:
Posted: 13th Apr 2013 01:18 Edited at: 13th Apr 2013 01:19
Each version of Xcode ships with a corresponding SDK. Xcode 3.1.2 is now five years old and as far as I know only supports iOS SDK 2.2 and below, and cannot be used to submit apps to the store. You would need to upgrade to at least Xcode 3.2.x to support iOS 4.x, which I believe is the minimum acceptable version by Apple. You can still also get Xcode 4 if you have Snow Leopard and not Lion, but as AL says in order to support the latest iOS you'll need Lion and the latest Xcode.
kirtn14
11
Years of Service
User Offline
Joined: 8th Sep 2011
Location:
Posted: 13th Apr 2013 14:07
i dont even have snow leopard... only leopard

kirtnicholls

Login to post a reply

Server time is: 2022-09-25 23:17:54
Your offset time is: 2022-09-25 23:17:54